class UsersController < ApplicationController
  before_action :require_login, except: [:login]

  def login
    @users = User.all
    if params[:user_id]
      user = User.find(params[:user_id])
      session[:user_id] = user.id
      redirect_to conferences_path, notice: "Logged in as #{user.name}"
    end
  end

  def logout
    session[:user_id] = nil
    redirect_to login_path, notice: "Logged out"
  end

  def profile
    @user = current_user
  end

  def update_profile
    @user = current_user
    if @user.update(user_params)
      flash.now[:notice] = "Profile updated successfully!"
      respond_to do |format|
        format.html { redirect_to profile_path, notice: "Profile updated successfully!"  }
        #format.turbo_stream { render turbo_stream: turbo_stream.replace("flash", partial: "shared/flash") }
      end
    else
      render :edit
    end
  end

  private

  def user_params
    params.require(:user).permit(:name, :email, :avatar_color, :telegram_username)
  end

  def require_login
    unless current_user
      flash[:alert] = "You must be logged in to edit your profile."
      redirect_to login_path
    end
  end
end
