class Speaker < ApplicationRecord
  belongs_to :conference

  validates :ref_id, uniqueness: { scope: :conference_id }

  after_update :notify_if_changed


  private

  def notify_if_changed
    return if new_record?
    if saved_changes.present?
      ActiveSupport::Notifications.instrument("speaker.updated", record: self, changes: saved_changes)
    end
  end
end
