# This file should ensure the existence of records required to run the application in every environment (production,
# development, test). The code here should be idempotent so that it can be executed at any point in every environment.
# The data can then be loaded with the bin/rails db:seed command (or created alongside the database with db:setup).
#
# Example:
#
#   ["Action", "Comedy", "Drama", "Horror"].each do |genre_name|
#     MovieGenre.find_or_create_by!(name: genre_name)
#   end

Conference.find_or_create_by!(slug: "rp2023") do |c|
  c.name = "re:publica 2023"
  c.time_zone = "Berlin"
  c.starts_at = DateTime.parse("Mon, 05 Jun 2023 08:30:00.000000000 UTC +00:00")
  c.ends_at = DateTime.parse("Wed, 07 Jun 2023 20:50:00.000000000 UTC +00:00")
  c.data = {
    "speakers_url" => "https://re-publica.com/sites/default/files/extappdata/2023/speaker.json",
    "sessions_url" => "https://re-publica.com/sites/default/files/extappdata/2023/session.json"
  }
  c.import_job_class = "republica_2023_or_later"
  c.location = "Arena Berlin"
end

Conference.find_or_create_by!(slug: "rp2024") do |c|
  c.name = "re:publica 2024"
  c.time_zone = "Berlin"
  c.starts_at = DateTime.parse("27 May 2024 10:30 CEST")
  c.ends_at = DateTime.parse("29 May 2024 19:45 CEST")
  c.data = {
    "speakers_url" => "https://re-publica.com/sites/default/files/extappdata/2024/speaker.json",
    "sessions_url" => "https://re-publica.com/sites/default/files/extappdata/2024/session.json"
  }
  c.import_job_class = "republica_2023_or_later"
  c.location = "STATION Berlin"
end

%w[Teal hdsjulian Sophie bergpiratin sblsg Max aerowaffle ningwie Senana ToniHDS].each do |username|
  User.find_or_create_by!(name: username, email: "c3lingo+#{username}@x.moeffju.net")
end
u = User.find_by(name: 'sblsg')
u.name = 'sebalis'
u.telegram_username = 'sblsg'
u.save!

NotificationChannel.create!(
  name: 'telegram_group_chat',
  data: { token: '6001822848:AAGR0hPl3upppQAQy2VrJBHud466QVsBnyQ' }
)
